import 'logger.dart';

class CompoundLogger extends Logger {
  const CompoundLogger(this.loggers);

  final Iterable<Logger> loggers;

  @override
  void logDebug(String message) {
    for (final logger in loggers) {
      logger.logDebug(message);
    }
  }

  @override
  void logError(String message) {
    for (final logger in loggers) {
      logger.logError(message);
    }
  }

  @override
  void logException(ex, [StackTrace stackTrace]) {
    for (final logger in loggers) {
      logger.logException(ex, stackTrace);
    }
  }

  @override
  void logInfo(String message) {
    for (final logger in loggers) {
      logger.logInfo(message);
    }
  }

  @override
  void logWarning(String message) {
    for (final logger in loggers) {
      logger.logWarning(message);
    }
  }
}
